## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <setting>

`<setting>` | (setting) describes one particular setting in which a language interaction takes place.

Attributes

(In addition to global attributes)

`who` | supplies the identifiers of the participants at this setting.
| Datatype: IDREFS
| Values: must correspond with ID values of `<person>` or `<personGrp>` elements in the current document.
| Default: #IMPLIED

Example

    <setting who="p1">
       <name>New York City, US</name>
       <date>1989</date>
       <locale>on a park bench</locale>
       <activity>feeding birds</activity>
    </setting>

Note

If the `who` attribute is not supplied, the setting is assumed to be that of all participants in the language interaction.

Module Declared in file teicorp2; Core tag sets: enabled when any TEI base is enabled
May contain activity date locale name p time
May occur within settingDesc
Declaration

    <!ELEMENT setting %om.RR; (p+ | (name | time | date | locale | activity)* )>
    <!ATTLIST setting
          %a.global;
          who IDREFS #IMPLIED>

See further 23.2.3 The Setting Description

Up: 35 Elements